Bug 1269172 - crontabs pulls in cronie which pulls in systemd which pulls in a bunch of other stuff
crontabs pulls in cronie which pulls in systemd which pulls in a bunch of oth...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: crontabs (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 10:01 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2016-11-24 09:10 EST (History)
2 users (show)

See Also:
Fixed In Version: crontabs-1.11-13.20150630git.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 09:10:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2015-10-06 10:01:46 EDT
Description of problem:
tl;dr: installing less pulls in systemd

crontabs is described as a filesystem package: "The crontabs package contains root crontab files and directories.", but it requires /etc/cron.d, which is provided by cronie. This pulls in a whole slew of dependencies to be installed.
Please consider co-owning the /etc/cron.d instead.

Version-Release number of selected component (if applicable):
crontabs-1.11-9.20130830git.fc22.noarch
crontabs-0:1.11-11.20150630git.fc24.noarch
Comment 1 Tomas Mraz 2015-10-06 10:55:36 EDT
Why less requires crontabs? This looks suspicious.
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-10-06 11:18:01 EDT
It requires man-db, which requires crontabs.
Comment 3 Tomas Mraz 2015-10-06 11:42:53 EDT
Ah, that is a quite recent addition.

The question is whether having some crontab installed (such as the /etc/cron.daily/man-db.cron in case of man-db) does not also mean that you want to have it run. At least that was always the expectation. I understand that in case of some minimal cloud images the situation might be different. But in that case perhaps there should be something like dummy-crond package that would satisfy the /etc/cron.d dependency for cloud.

Other possibility would be to use weak dependency (Recommends) to pull cronie from crontabs.
Comment 4 Zbigniew Jędrzejewski-Szmek 2015-10-06 14:41:01 EDT
This dependency doesn't actually enforce anything: it is always possible to have cronie installed and not enabled, or cronie installed and enabled, but systemd not running, in which case cronie doesn't run either. In this case I think the disadvantage of having a low-level tool like less pull in the whole stack is really high.
Comment 5 Tomas Mraz 2015-10-07 03:31:36 EDT
Dependencies are not there to enforce but to ensure that the user installing packages does not have to specify all the dependencies manually.

As I said the problem needs to be solved differently than by simply cutting the dependency.
Comment 6 Fedora End Of Life 2016-11-24 07:42:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.